# Install

create database `example-update-massive`

configure `.env`

```dotenv
DB_CONNECTION=pgsql
DB_HOST=postgres
DB_PORT=5432
DB_DATABASE=example-update-massive
DB_USERNAME=default
DB_PASSWORD=secret

QUEUE_CONNECTION=database

ITEMS_COUNT=10000
```

`ITEMS_COUNT` é a variavel que irá definir quantos registros a fatory irá criar no banco de dados.

run migrate;

```shell
php artisan migrate:fresh --seed
```


# Result

| Transactions | Method                     | time seconds |
|--------------|----------------------------|--------------|
| 1000         | App\Jobs\UpdateMassive1Job | 0001,00s     |
| 1000         | App\Jobs\UpdateMassive2Job | 0000,01s     |
| 1000         | App\Jobs\UpdateMassive3Job | 0001,00s     |
| 1000         | App\Jobs\UpdateMassive4Job | 0000,08s     |
| 1000         | App\Jobs\UpdateMassive5Job | 0000,06s     |
| 10000        | App\Jobs\UpdateMassive1Job | 0014,00s     |
| 10000        | App\Jobs\UpdateMassive2Job | 0000,14s     |
| 10000        | App\Jobs\UpdateMassive3Job | 0014,00s     |
| 10000        | App\Jobs\UpdateMassive4Job | 0000,73s     |
| 10000        | App\Jobs\UpdateMassive5Job | 0000,59s     |
| 100000       | App\Jobs\UpdateMassive1Job | 0156,00s     |              
| 100000       | App\Jobs\UpdateMassive2Job | 0001,00s     |      
| 100000       | App\Jobs\UpdateMassive3Job | 0164,00s     |          
| 100000       | App\Jobs\UpdateMassive4Job | 0008,00s     |      
| 100000       | App\Jobs\UpdateMassive5Job | 0007,00s     |      
| 1000000      | App\Jobs\UpdateMassive1Job | 1570,00s     |              
| 1000000      | App\Jobs\UpdateMassive2Job | 0015,00s     |          
| 1000000      | App\Jobs\UpdateMassive3Job | 1630,00s     |              
| 1000000      | App\Jobs\UpdateMassive4Job | 0075,00s     |              
| 1000000      | App\Jobs\UpdateMassive5Job | 0058,00s     |          

